Name:		mpc
Version:	0.33
Release:	%mkrel 3

Summary:	MPC, command-line client for MPD
License:	GPLv2+
Group:		Sound/Players
Url:		http://www.musicpd.org/
Source0:	http://www.musicpd.org/download/mpc/0/%{name}-%{version}.tar.xz

# Requires:	mpd
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	python3dist(sphinx)

%description
A command line tool to interface MPD. Scriptable !
Features:
* Bash tab completion
* Can pipe output of other commands into mpc

%prep
%setup -q

%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson
%meson_build

%install
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
cp contrib/mpc-completion.bash %{buildroot}%{_sysconfdir}/bash_completion.d/mpc

rm -rf %{buildroot}%{_docdir}/%{name}/

%check
%meson_test

%files
%doc README.rst AUTHORS COPYING
%{_sysconfdir}/bash_completion.d/mpc
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri May 01 2020 daviddavid <daviddavid> 0.33-3.mga8
+ Revision: 1577538
- rebuild to fix python dependencies

* Mon Feb 17 2020 umeabot <umeabot> 0.33-2.mga8
+ Revision: 1537657
- Mageia 8 Mass Rebuild

* Tue Nov 05 2019 zezinho <zezinho> 0.33-1.mga8
+ Revision: 1458170
- new version 0.33

* Sat Aug 03 2019 zezinho <zezinho> 0.32-2.mga8
+ Revision: 1427166
- switch to python3
- new version 0.32

* Thu Apr 18 2019 umeabot <umeabot> 0.31-3.mga7
+ Revision: 1392803
- Rebuild with meson 0.50.1

* Fri Oct 26 2018 zezinho <zezinho> 0.31-2.mga7
+ Revision: 1326026
- rebuild against libmpdclient 2.16

* Fri Oct 26 2018 zezinho <zezinho> 0.31-1.mga7
+ Revision: 1326004
- new version 0.31

* Sun Sep 23 2018 umeabot <umeabot> 0.30-2.mga7
+ Revision: 1299617
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 0.30-1.mga7
+ Revision: 1230467
- new version: 0.30

* Wed Feb 21 2018 kekepower <kekepower> 0.29-3.mga7
+ Revision: 1203850
- Add BR for python2-sphinx, python2-pkg-resources and python2-typing
- Use %%meson macros
- Export en_US.UTF-8 lang

* Mon Feb 19 2018 kekepower <kekepower> 0.29-2.mga7
+ Revision: 1202966
- Fix build error on ARM

* Mon Feb 19 2018 kekepower <kekepower> 0.29-1.mga7
+ Revision: 1202961
- BR meson, ninja, python2-sphinx
- Update to version 0.29

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.28-1.mga6
+ Revision: 1079366
- 0.28

* Sat Mar 12 2016 shlomif <shlomif> 0.27-1.mga6
+ Revision: 989610
- New version 0.27

* Mon Feb 08 2016 umeabot <umeabot> 0.25-4.mga6
+ Revision: 947574
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.25-3.mga5
+ Revision: 741215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.25-2.mga5
+ Revision: 682636
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 jquelin <jquelin> 0.25-1.mga5
+ Revision: 595042
- update to 0.25

* Sat Oct 19 2013 umeabot <umeabot> 0.23-2.mga4
+ Revision: 528617
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.23-1.mga4
+ Revision: 446841
- update to 0.23

* Sat Jan 12 2013 umeabot <umeabot> 0.22-3.mga3
+ Revision: 360393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 0.22-2.mga3
+ Revision: 322329
- rpm group change

* Thu Jun 07 2012 jquelin <jquelin> 0.22-1.mga3
+ Revision: 256769
- update to 0.22

* Fri Apr 15 2011 shikamaru <shikamaru> 0.20-1.mga1
+ Revision: 85909
- New version 0.20

* Tue Mar 22 2011 obgr_seneca <obgr_seneca> 0.19-4.mga1
+ Revision: 75548
- rebuild against new libmpdclient-2.4

* Thu Mar 03 2011 jquelin <jquelin> 0.19-3.mga1
+ Revision: 63231
- mageia rebuild
- imported package mpc


* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.19-3mdv2011.0
+ Revision: 567660
- rebuild for new libmpdclient

* Mon Dec 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.19-1mdv2010.1
+ Revision: 474310
- update to 0.19

* Fri Dec 04 2009 Jérôme Brenier <incubusss@mandriva.org> 0.18-1mdv2010.1
+ Revision: 473215
- new version 0.18
- fix license tag
- BuildRequires : libmpdclient-devel

* Fri Aug 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.17-1mdv2010.0
+ Revision: 416370
- update to new version 0.17

* Thu May 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.16-1mdv2010.0
+ Revision: 380612
- Update to new version 0.16

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 0.15-1mdv2009.1
+ Revision: 336553
- new version 0.15

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 0.14-1mdv2009.1
+ Revision: 323880
- New upstream release

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.12.1-4mdv2009.0
+ Revision: 252957
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.12.1-2mdv2008.1
+ Revision: 136608
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.12.1-2mdv2008.0
+ Revision: 53811
- install bash-completion
- mpc can command mpd on a different host, so it doesn't requires to have mpd on the same host

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 32100
- new version
- requires mpd
- spec file clean
- Import mpc



* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 0.11.2-1mdk
- rebuild

* Sat Aug 07 2004 Cedric Devillers <brancaleone@altern.org> 0.11.1-1mdk
- Initial package
